package netscape.application;

import java.applet.Applet;
import java.applet.AudioClip;
import java.awt.FileDialog;
import java.awt.Frame;
import java.awt.Image;
import java.awt.MenuBar;
import java.awt.MenuItem;
import java.awt.Panel;
import java.awt.Rectangle;
import java.awt.Toolkit;
import java.awt.Window;
import java.awt.image.ImageProducer;

public class AWTCompatibility {
   private AWTCompatibility() {
   }

   public static Bitmap bitmapForAWTImage(Image var0) {
      return new Bitmap(var0);
   }

   public static Bitmap bitmapForAWTImageProducer(ImageProducer var0) {
      return new Bitmap(Application.application().applet.createImage(var0));
   }

   public static Image awtImageForBitmap(Bitmap var0) {
      return var0.awtImage;
   }

   public static ImageProducer awtImageProducerForBitmap(Bitmap var0) {
      return var0.awtImage.getSource();
   }

   public static Sound soundForAWTAudioClip(AudioClip var0) {
      Sound var1 = new Sound();
      var1.awtSound = var0;
      return var1;
   }

   public static AudioClip awtAudioClipForSound(Sound var0) {
      return var0.awtSound;
   }

   public static Font fontForAWTFont(java.awt.Font var0) {
      Font var1 = new Font();
      var1._awtFont = var0;
      var1._name = var0.getName();
      var1._type = 1;
      return var1;
   }

   public static java.awt.Font awtFontForFont(Font var0) {
      return var0._awtFont;
   }

   public static Color colorForAWTColor(java.awt.Color var0) {
      return new Color(var0);
   }

   public static java.awt.Color awtColorForColor(Color var0) {
      return var0._color;
   }

   public static FontMetrics fontMetricsForAWTFontMetrics(java.awt.FontMetrics var0) {
      return new FontMetrics(var0);
   }

   public static java.awt.FontMetrics awtFontMetricsForFontMetrics(FontMetrics var0) {
      return var0._awtMetrics;
   }

   public static MenuBar awtMenuBarForMenu(Menu var0) {
      return var0.isTopLevel() ? var0.awtMenuBar() : null;
   }

   public static java.awt.Menu awtMenuForMenu(Menu var0) {
      return !var0.isTopLevel() ? var0.awtMenu() : null;
   }

   public static MenuItem awtMenuItemForMenuItem(netscape.application.MenuItem var0) {
      return var0.foundationMenuItem();
   }

   public static Graphics graphicsForAWTGraphics(java.awt.Graphics var0) {
      Rectangle var1 = var0.getClipRect();
      Rect var2;
      if (var1 != null) {
         var2 = new Rect(var1.x, var1.y, var1.width, var1.height);
      } else {
         var2 = new Rect(0, 0, Integer.MAX_VALUE, Integer.MAX_VALUE);
      }

      return new Graphics(var2, var0.create());
   }

   public static java.awt.Graphics awtGraphicsForGraphics(Graphics var0) {
      return var0.awtGraphics();
   }

   public static Panel awtPanelForRootView(RootView var0) {
      return var0.panel();
   }

   public static Window awtWindowForExternalWindow(ExternalWindow var0) {
      return var0.awtWindow;
   }

   public static Applet awtApplet() {
      Application var0 = Application.application();
      return var0 == null ? null : var0.applet;
   }

   public static FileDialog awtFileDialogForFileChooser(FileChooser var0) {
      return var0.awtDialog;
   }

   public static Toolkit awtToolkit() {
      return Toolkit.getDefaultToolkit();
   }

   public static Frame awtFrameForRootView(RootView var0) {
      return var0.panel().frame();
   }
}
